# --- CAMUNDA API ENDPOINTS ---
CAMUNDA_API_AUTENTICAR = '/auth/signin'
CAMUNDA_API_VERSAO = '/rest/version'
CAMUNDA_API_LISTAR_DEFINICOES = '/rest/process-definition'
CAMUNDA_API_OBTER_ULTIMA_DEFINICAO = '/rest/process-definition/key/{key}'
CAMUNDA_API_GET_XML = '/rest/process-definition/{id}/xml'
CAMUNDA_API_INICIAR_PROCESSO = '/rest/process-definition/key/{key}/start'
CAMUNDA_API_FORMULARIO_INICIAL = '/rest/process-definition/key/{key}/form-variables'
CAMUNDA_API_FORMKEY_INICIAL = '/rest/process-definition/key/{key}/startForm'
CAMUNDA_API_REINICIAR_PROCESSO = '/rest/process-definition/{id}/restart'
CAMUNDA_API_LISTAR_INSTANCIAS = '/rest/process-instance'
CAMUNDA_API_OBTER_INSTANCIA = '/rest/process-instance/{id}'
CAMUNDA_API_EXCLUIR_INSTANCIA = '/rest/process-instance/delete'
CAMUNDA_API_OBTER_INSTANCIA_HISTORICO = '/rest/history/process-instance/{id}'
CAMUNDA_API_MODIFICAR_INSTANCIA = '/rest/process-instance/{id}/modification'
CAMUNDA_API_OBTER_VARIAVEL_PROCESSO = '/rest/process-instance/{id}/variables'
CAMUNDA_API_ALTERAR_VARIAVEL_PROCESSO = '/rest/process-instance/{id}/variables/{varName}'
CAMUNDA_API_LISTAR_HISTORICO = '/rest/history/activity-instance'
CAMUNDA_API_LISTAR_IDENTIDADE_HISTORICO = '/rest/history/identity-link-log'
CAMUNDA_API_OBTER_VARIAVEL_HISTORICO = '/rest/history/variable-instance'
CAMUNDA_API_LISTAR_IDENTIDADES = '/rest/task/{id}/identity-links'
CAMUNDA_API_LISTAR_ATIVIDADES = '/rest/task'
CAMUNDA_API_ASSUMIR_ATIVIDADE = '/rest/task/{id}/claim'
CAMUNDA_API_DEVOLVER_ATIVIDADE = '/rest/task/{id}/unclaim'
CAMUNDA_API_DELEGAR_ATIVIDADE = '/rest/task/{id}/delegate'
CAMUNDA_API_ALTERAR_ATIVIDADE = '/rest/task/{id}'
CAMUNDA_API_COMPLETAR_ATIVIDADE = '/rest/task/{id}/complete'
CAMUNDA_API_FORMULARIO_ATIVIDADE = '/rest/task/{id}/form-variables'
CAMUNDA_API_LISTAR_TAREFAS_EXTERNAS = '/rest/external-task'
CAMUNDA_API_OBTEM_TAREFAS_EXTERNAS = '/rest/external-task/fetchAndLock'
CAMUNDA_API_COMPLETAR_TAREFA_EXTERNA = '/rest/external-task/{id}/complete'
CAMUNDA_API_LIBERAR_TAREFA_EXTERNA = '/rest/external-task/{id}/unlock'
CAMUNDA_API_HANDLE_EXTERNAL_TASK_FAILURE = '/rest/external-task/{id}/failure'
CAMUNDA_API_SET_RETRIES = '/rest/external-task/{id}/retries'
CAMUNDA_API_LIST_INCIDENTS = '/rest/incident'
CAMUNDA_API_RESOLVE_INCIDENT = '/rest/incident/{id}'
CAMUNDA_API_MIGRAR_DEFINICAO = '/rest/migration/execute'
CAMUNDA_API_GERAR_MIGRACAO = '/rest/migration/generate'
CAMUNDA_API_DEPLOY_BPMN = '/rest/deployment/create'
CAMUNDA_API_UNDEPLOY_BPMN = '/rest/deployment/{id}'
CAMUNDA_API_PROXIMAS_ATIVIDADES = '/custom/proximasTarefas/{taskId}'
CAMUNDA_API_PESQUISA_ATIVIDADES = '/custom/pesquisa'
CAMUNDA_API_ENVIAR_MENSAGEM = '/rest/message'

CAMUNDA_API_CMMN_LISTAR_DEFINICOES = '/rest/case-definition'
CAMUNDA_API_CMMN_OBTER_ULTIMA_DEFINICAO = '/rest/case-definition/key/{key}'
CAMUNDA_API_CMMN_GET_XML = '/rest/case-definition/{id}/xml'
CAMUNDA_API_CMMN_INICIAR_PROCESSO = '/rest/case-definition/key/{key}/create'
CAMUNDA_API_CMMN_LISTAR_INSTANCIAS = '/rest/case-instance'
CAMUNDA_API_CMMN_OBTER_INSTANCIA = '/rest/case-instance/{id}'
CAMUNDA_API_CMMN_OBTER_INSTANCIA_HISTORICO = '/rest/history/case-instance/{id}'
CAMUNDA_API_CMMN_OBTER_VARIAVEL_PROCESSO = '/rest/case-instance/{id}/variables'
CAMUNDA_API_CMMN_ALTERAR_VARIAVEL_PROCESSO = '/rest/case-instance/{id}/variables/{varName}'
CAMUNDA_API_CMMN_LISTAR_PENDENCIAS = '/rest/case-execution'
CAMUNDA_API_CMMN_INICIAR_CASO = '/rest/case-execution/{id}/manual-start'
CAMUNDA_API_CMMN_COMPLETAR_CASO = '/rest/case-execution/{id}/complete'
CAMUNDA_API_CMMN_TERMINAR_CASO = '/rest/case-instance/{id}/terminate'

CAMUNDA_TASK_LIST_MAX_RESULTS = 100
CAMUNDA_TASK_LIST_RESULTS_PER_PAGE = 20
CAMUNDA_WORKER_MAX_TASKS = 10
CAMUNDA_WORKER_LOCK_DURATION_IN_MILISECONDS = 30000
CAMUNDA_WORKER_SCHEDULER_INTERVAL_SECONDS = 30
CAMUNDA_WORKER_RETRIES = 5
CAMUNDA_WORKER_RETRY_TIMEOUT = 300000
CAMUNDA_REQUEST_CACHE_TIMEOUT = 30

CAMUNDA_API_BASE_URL = 'http://localhost:8080/rest/engine'
CAMUNDA_AUTH_USERNAME = 'demo'
CAMUNDA_AUTH_PASSWORD = 'demo'

REQUEST_RETRY = 3
REQUEST_TIMEOUT = 10
ARQUIVO_CERTIFICADO = ''